//Source file: AccessDeniedException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * The client is not currently authenticated with the framework
 *
 */
public class AccessDeniedException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public AccessDeniedException() {
        super(); 
    }

    public AccessDeniedException(String message) {
        super(message); 
    }

    public AccessDeniedException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public AccessDeniedException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // AccessDeniedException

