//Source file: FrameworkException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Framework abstract exception
 *
 */
public class FrameworkException extends java.lang.Exception {

    private Throwable _cause = null;

    public FrameworkException() {
        super(); 
    }

    public FrameworkException(String message) {
        super(message); 
    }

    public FrameworkException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public FrameworkException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // FrameworkException

