//Source file: InvalidAccessTypeException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * The framework does not support the type of access interface requested by the client.
 *
 */
public class InvalidAccessTypeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidAccessTypeException() {
        super(); 
    }

    public InvalidAccessTypeException(String message) {
        super(message); 
    }

    public InvalidAccessTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidAccessTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidAccessTypeException

