//Source file: InvalidAgreementTextException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Invalid agreement text
 *
 */
public class InvalidAgreementTextException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidAgreementTextException() {
        super(); 
    }

    public InvalidAgreementTextException(String message) {
        super(message); 
    }

    public InvalidAgreementTextException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidAgreementTextException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidAgreementTextException

