//Source file: InvalidSagIdException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Invalid Subscription Assignment Group ID
 *
 */
public class InvalidSagIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidSagIdException() {
        super(); 
    }

    public InvalidSagIdException(String message) {
        super(message); 
    }

    public InvalidSagIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidSagIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidSagIdException

