//Source file: InvalidSignatureException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Invalid digital signature
 *
 */
public class InvalidSignatureException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidSignatureException() {
        super(); 
    }

    public InvalidSignatureException(String message) {
        super(message); 
    }

    public InvalidSignatureException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidSignatureException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidSignatureException

