//Source file: UnknownServiceTypeException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Unknown Service Type
 *
 */
public class UnknownServiceTypeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public UnknownServiceTypeException() {
        super(); 
    }

    public UnknownServiceTypeException(String message) {
        super(message); 
    }

    public UnknownServiceTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public UnknownServiceTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // UnknownServiceTypeException

