//Source file: IllegalServiceTypeException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Illegal Service Type
 *
 */
public class IllegalServiceTypeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public IllegalServiceTypeException() {
        super(); 
    }

    public IllegalServiceTypeException(String message) {
        super(message); 
    }

    public IllegalServiceTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public IllegalServiceTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // IllegalServiceTypeException

