//Source file: InvalidActivityTestIdException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * ID does not correspond to a valid activity test request
 *
 */
public class InvalidActivityTestIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidActivityTestIdException() {
        super(); 
    }

    public InvalidActivityTestIdException(String message) {
        super(message); 
    }

    public InvalidActivityTestIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidActivityTestIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidActivityTestIdException

