//Source file: InvalidClientAppIdException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Invalid Client Application ID
 *
 */
public class InvalidClientAppIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidClientAppIdException() {
        super(); 
    }

    public InvalidClientAppIdException(String message) {
        super(message); 
    }

    public InvalidClientAppIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidClientAppIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidClientAppIdException

