//Source file: InvalidDomainIdException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Invalid client ID
 *
 */
public class InvalidDomainIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidDomainIdException() {
        super(); 
    }

    public InvalidDomainIdException(String message) {
        super(message); 
    }

    public InvalidDomainIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidDomainIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidDomainIdException

