//Source file: InvalidEncryptionCapabilityException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Invalid encryption capability
 *
 */
public class InvalidEncryptionCapabilityException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidEncryptionCapabilityException() {
        super(); 
    }

    public InvalidEncryptionCapabilityException(String message) {
        super(message); 
    }

    public InvalidEncryptionCapabilityException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidEncryptionCapabilityException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidEncryptionCapabilityException

