//Source file: InvalidServiceContractIdException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Invalid Service Contract ID
 *
 */
public class InvalidServiceContractIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidServiceContractIdException() {
        super(); 
    }

    public InvalidServiceContractIdException(String message) {
        super(message); 
    }

    public InvalidServiceContractIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidServiceContractIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidServiceContractIdException

