//Source file: InvalidServiceProfileIdException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Invalid service profile ID
 *
 */
public class InvalidServiceProfileIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidServiceProfileIdException() {
        super(); 
    }

    public InvalidServiceProfileIdException(String message) {
        super(message); 
    }

    public InvalidServiceProfileIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidServiceProfileIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidServiceProfileIdException

