//Source file: InvalidServiceTypeException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Invalid Service Type
 *
 */
public class InvalidServiceTypeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidServiceTypeException() {
        super(); 
    }

    public InvalidServiceTypeException(String message) {
        super(message); 
    }

    public InvalidServiceTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidServiceTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidServiceTypeException

