//Source file: InvalidSigningAlgorithmException.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Invalid signing algorithm
 *
 */
public class InvalidSigningAlgorithmException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidSigningAlgorithmException() {
        super(); 
    }

    public InvalidSigningAlgorithmException(String message) {
        super(message); 
    }

    public InvalidSigningAlgorithmException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidSigningAlgorithmException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidSigningAlgorithmException

